<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<script src="../js/jquery-2.0.3.min.js"></script>
		<script src="../js/jquery.mobile-1.3.1.min.js"></script>
		<script src="../js/md5.js"></script>
		<link rel="stylesheet" href="../css/jquery.mobile-1.3.1.min.css">
		<script>
			var sabad_kala=(typeof sabad!="undefined")?sabad.getSabad():[];
			var jam_kham = 0;
			$(document).ready(function(){
				//$("#msg_log").html(sabad_kala);
				loadSabad(JSON.parse(sabad_kala));
				final_sale('salam');
			});
			function empty_sabad()
			{
				sabad.setSabad("[]");
				var tmp = [];
				sabad_kala =tmp;
				loadSabad(tmp);
				$("#msg_log").html('');
			}
			function loadSabad(inp)
			{
				var jam=0;
				var jj;
				var out = '<table style="width:100%" >';
				out+='<tr><td>ردیف</td><td>کالا</td><td>تعداد</td><td>قیمت</td><td>قیمت کل</td></tr>';
				for(var i=0;i<inp.length;i++)
				{
					jj=(parseInt(inp[i].tedad,10)*parseInt(inp[i].ghimat,10));
					out+='<tr><td>'+(i+1)+'</td><td>'+inp[i].name+'</td><td>'+inp[i].tedad+'</td><td>'+inp[i].ghimat+'</td><td>'+jj+'</td></tr>';
					jam+=jj;
				}
				out+='<tr><td align="left" colspan="4" >هزینه ارسال:</td><td id="ersal_haz"></td></tr>';
				out+='<tr><td align="left" colspan="4" >جمع کل:</td><td id="jam_kham">'+jam+'</td></tr>';
				out+='</table>';
				jam_kham = jam;
				$("#sabad_div").html(out);
			}
			function final_sale(ersal)
			{
				var pass = hex_md5($("#pass").val());
				var user = $("#user").val();
				var addr = $("#addr").val();
				var sabad_kala_obj = JSON.parse(sabad_kala);
				var sabad_kala_out = [];
				var nahve = $("#nahve").val();
				for(i in sabad_kala_obj)
				{
				/*
					var tmp = sabad_kala_obj[i];
					delete tmp.name;
					delete tmp.ghimat;
					*/
					var tmp = sabad_kala_obj[i].id+'|'+sabad_kala_obj[i].tedad;
					sabad_kala_out.push(tmp);
				}
				var sabad_data = sabad_kala_out.join();//JSON.stringify(sabad_kala_out);
				var url = sabad.getLink()+"android/factor.php?user="+user+((typeof ersal != 'undefined')?"&ersal=ersal":'')+"&nahve="+nahve+"&pass="+pass+"&addr="+encodeURIComponent(addr)+"&factor="+sabad_data+"&";
				if(($.trim(user)!='' && $.trim(pass)!='') || (typeof ersal != 'undefined'))
				{
					$("#msg_log").html("<img src='../img/status_fb.gif' />");
					if(typeof ersal != 'undefined')
						sabad.getAjax(url,"ajaxErsalSucceed,ajaxErsalFailed");
					else
						sabad.getAjax(url,"ajaxSucceed,ajaxFailed");
				}
				else
					$("#msg_log").html("لطفا نام کاربری و رمز عبور خود را وارد کنید");
			}
			function ajaxErsalFailed(inp)
			{
				$("#msg_log").html("");
			}
			function ajaxErsalSucceed(inp)
			{
				$("#msg_log").html('');
				var obj = JSON.parse(inp);
				//$("#msg_log").append("<br/>ارسال : "+obj.peigiri);
				$("#ersal_haz").html(obj.peigiri);
				jam_kham+=parseInt($.trim(obj.peigiri),10);
				$("#jam_kham").html(jam_kham);

			}
			function ajaxFailed(inp)
			{
				$("#msg_log").append("");
			}
			function ajaxSucceed(inp)
			{
				//$("#msg_log").append(inp);
				var obj = JSON.parse(inp);
				if($.trim(obj.err)=='')
					$("#msg_log").html('فاکتور شما با موفقیت ثبت گردید. شماره پیگیری شما<br/>'+obj.peigiri+'<br/>می باشد');
				else
					$("#msg_log").html($.trim(obj.err));
			}
		</script>
		<style>
			td{border:solid 1px #000000;padding:5px;}
		</style>
	</head>
	<body dir="rtl" >
		<button onclick="empty_sabad();" data-theme="b" >
			خالی کردن سبد خرید
		</button>
		<div id="sabad_div" >
		</div>
		<div id="msg_log" >
		</div>
		<div id="tmp_div" >
			<input type="text" id="user" placeholder="نام کاربری" />
			<input type="text" id="pass" placeholder="رمز عبور" />
			<input type="text" id="addr" placeholder="آدرس" />
			<select id="nahve">
				<option value="1">تحویل درب منزل</option>
				<option value="2">دریافت درب فروشگاه دارما(بلوار معلم بین ۷۳-۷۵)</option>
			</select>
			<button onclick="final_sale();" data-theme="b" >
			خرید نهایی
			</button>
		</div>
	</body>
</html>
